tree grammar TExpr;
options {
	tokenVocab=Expr;
	ASTLabelType=CommonTree;
	output=template;
}


prog 	:	e+=expr* -> template(name={$e}) "<name;separator=\"
<SEPARATOR>
\">";


expr	:	^('+' e1=expr e2=expr) -> add(p1={$e1.st}, p2={$e2.st})
		  | ^('-' e1=expr e2=expr) -> sub(p1={$e1.st}, p2={$e2.st})
		  | INT                    -> int(i={$INT.text});


		
